# -*- coding: utf-8 -*-
from zipfile import *
import os, time 

def zipfolder(ziproot, root, extensions = ['.txt']):
	date = list(time.localtime()[:3])
	date.reverse()
	zipname = os.path.join(ziproot, os.path.basename(root) + '_backup_%d-%d-%d.zip' % tuple(date)) 
	
	zip = ZipFile(zipname, 'w', ZIP_DEFLATED)
	walkFolder(root, extensions, zip)
	
	return zipname
	
def walkFolder(path, extensions, zip):
	for base in os.listdir(path):
		fullpath = os.path.join(path, base)
		
		if os.path.isdir(fullpath):
			walkFolder(fullpath, extensions, zip)
			
		else:
			bs, ext = os.path.splitext(base)
			if ext.lower() in extensions:
				zip.write(fullpath.encode('utf-8'))
			