import wx


class GUIObject(object):
	'''All GUI objects derive from GUIObject.'''

	def get_label(self):
		return self._label

	def set_label(self, label):
		self._label = label

	label = property(get_label, set_label)

class GenericWindow(GUIObject):
	def __init__(self, text = '', title = ''):
		self._text  = text
		self._title = title

	def get_title(self):
		return self._title
		
	def set_title(self, new_title):
		self._title = new_title

	title = property(get_title, set_title)
	

class GenericMessage(GenericWindow):
	def get_text(self):
		return self._text
		
	def set_text(self, new_text):
		self._text = new_text

	text  = property(get_text, set_text)
	
	
	
class Message(GenericMessage):

	def show(self):
		dialog = wx.MessageDialog(None, self.text, self.title,
				wx.OK|wx.ICON_INFORMATION)

		dialog.ShowModal()
		dialog.Destroy()

# Message + generique que Info
class Info(Message):
	pass

class Alert(Message):
	def show(self):
		dialog = wx.MessageDialog(None, self.text, self.title,
				wx.OK|wx.ICON_ERROR)

		dialog.ShowModal()
		dialog.Destroy()


#------------------------------------------------------------------------------

def info(message, title = ''):
	msg = Info(message)
	msg.title = title
	msg.show()
	
def alert(message, title = ''):
	msg = Alert(message)
	msg.title = title
	msg.show()	

def to_do(title = ''):
	msg = Message("Not implemented.")
	if title:
		msg.title = title
	msg.show()