# -*- coding: utf-8 -*-
'''
Check whether an update is available online.
'''

import urllib
#from pfc import prefs

def getOnlineVersion(url):
	"Return online version as a tuple."
	ini = urllib.urlopen(url)
	line = ini.readline().strip()
	ini.close()
	
	version, message = line.split(';')
	
	return [tuple(map(int, version.split('.'))), message]


def needsUpdate(url):
	"Compare current version to online version and return a boolean"
	from plateforme import __version__ as currentVersion
	onlineVersion, message = getOnlineVersion(url)
	
	if currentVersion < onlineVersion:
		return message
	else:
		return False

