# -*- coding: utf-8 -*-
from gui import plugins
from gui.messages import info


def main():
	infos    = [ ]
	warnings = [ ]
	buffer   = plugins.getBufferLines()

	if not buffer:
		info(u"Aucun problème d'alignement n'a été détecté")
		return

	for line in buffer:
		records = line.split(':')

		if records[1] == 'NbOfInt':
			warnings.append(u"%s n'a pas été traité: problème d'intervalles\n." % records[0])
			
		elif records[1] == 'FileModified':
			tgd, dummy, tier, time = records
			infos.append(u"%s sur la tire %s à %s\n" % (tgd, tier, time))
			
	if warnings:
		msg = \
u'''
Les fichiers suivants n'ont pas été traités car toutes les tires n'ont pas le même nombre d'intervalles.

%s
''' % ''.join(warnings)

		alert(msg)
		
	if infos:
		msg = \
u'''
Les fichiers suivants ont été corrigés :

%s
''' % ''.join(infos)

		info(msg)